<?php

namespace FiloBlu\DisableShop\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

     protected $_logger;
     
     public function __construct(\Magento\Framework\App\Helper\Context $context, \FiloBlu\DisableShop\Model\Logger\Logger $logger)
    {
         $this->_logger = $logger;
         parent::__construct($context);
    }
    
    public function getConfig($config_path, $section = 'filoblu_disableshop_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }
    
    public function canDisableShop() {
        return $this->getConfig("general/disable_shop");
    }
    
    public function canHidePrice() {
            return $this->getConfig("general/hide_price");
    }
    
    public function getCategoriesDisabledShop() {
            return $this->getConfig("general/disable_shop_category");
    }
    
    public function getCategoriesHidePrice() {
            return $this->getConfig("general/hide_price_category");
    }
    
    public function log($message) {
        if ($this->getConfig("debug/enable_log")) {
            $this->_logger->info($message);
        }
    }

}
